#include<stdio.h>

/*	Funkcja wczytuje do tablicy 't[]' jedna linie tekstu z klawiatury (ale nie wiecej niz 'n' znakow).
 *	Wartoscia zwracana jest adres do tablizy znakow zawierajacej wczytany tekst (bez konczacego znaku nowej linii).
 *  Na koncu znajduje sie znak '\0'.
 */
char *czytajlinie(char *t,int n)
{
	char *p=t;
	while ((*t=getchar()) !='\n' && *t!=EOF && --n>1) t++;
	*t='\0';
	return p;
}


/* Funkcja oblicza dlugosc napisu 't'.
 * Wartoscia zwracana jest liczba znakow w lancuchu (stringu) 't'
 */
int dlugosc(char *t)
{
	int i=0;
	while (*t++) i++;
	return i-1;
}


/* Funkcja kopiuje zawartosc tablicy 'co' do tablicy 'gdzie'.
 * Wartoscia zwracana jest adres (wskaznik) do skopiowanej tablicy znakow 'gdzie'.*/
char *kopia(char *co,char *gdzie)
{
	char *u=gdzie;
	while (*gdzie++=*co++);
	return u;
}

/* Funkcja laczy dwa napisy. Napis z tablicy co[] jest dodawany na koncu napisu gdzie[].
 * Wartoscia zwracana jest adres (wskaznik) do tablicy zawierajacej polaczone napisy.*/
char *sklej(char *co,char *gdzie)
{
	char *p=gdzie;
	while(*gdzie++);
	kopia(co,gdzie-1);
	return p;
}


/* Funkcja sprawdza czy 'napis' zawiera 'wzor' tzn. poszukuje, czy dany wzorzec pasuje do napisu.
 * Funkcja zwraca wartosci:
 * 1 gdy 'wzor' wystepuje w danym napisie 
 * 0 gdy 'wzor' nie wystepuje w napisie. */
int znajdz(char *napis,char *wzor)
{
	char *s1;
   char *s2;

   while(*napis)
   {
      for(s1=napis, s2=wzor ; *s2 && *s1==*s2 ;  s1++, s2++) ;
      if(!*s2) return 1;
      napis++;
   }
   
   return 0;
}



